%define anolis_release 1

Name:           libgexiv2
Version:        0.14.3
Release:        %{anolis_release}%{?dist}
Summary:        Gexiv2 is a GObject-based wrapper around the Exiv2 library

License:        GPL-2.0-or-later
URL:            https://wiki.gnome.org/Projects/gexiv2
Source0:        https://download.gnome.org/sources/gexiv2/0.14/gexiv2-%{version}.tar.xz

BuildRequires:  pkgconfig(exiv2)
BuildRequires:  gcc-c++
BuildRequires:  gtk-doc
BuildRequires:  gobject-introspection-devel
BuildRequires:  meson
BuildRequires:  vala

%description
libgexiv2 is a GObject-based wrapper around the Exiv2 library. 
It makes the basic features of Exiv2 available to GNOME applications.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n gexiv2-%{version}

%build
%meson \
  -Dgtk_doc=true \
  -Dpython3=false \
  -Dtests=true \
  %{nil}
%meson_build

%install
%meson_install

%generate_compatibility_deps

%check
%meson_test

%files
%dir %{abidir}
%license COPYING
%doc AUTHORS NEWS README.md THANKS
%{_libdir}/libgexiv2.so.2*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GExiv2-0.10.typelib
%{abidir}/*.dump

%files devel
%{_includedir}/gexiv2/
%{_libdir}/libgexiv2.so
%{_libdir}/pkgconfig/gexiv2.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GExiv2-0.10.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/gexiv2/
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gexiv2.deps
%{_datadir}/vala/vapi/gexiv2.vapi

%changelog
* Thu Feb 20 2025 wangzhe <wanglan.wz@alibaba-inc.com> - 0.14.3-1
- Sync up from CentOS Stream libgexiv2-0.14.3-3 (tdawson@redhat.com)

* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 0.14.1-1
- New version 0.14.1

* Tue Mar 07 2023 chen_yu_ao <m15927509890@163.com> - 0.14.0-2
- remove %{_isa} macro and generate abi files

* Wed Apr 06 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.14.0-1
- Init from upstream version 0.14.0

